#!/usr/bin/gawk -f

BEGIN{
  Ang = 1.e-10;  # m

  n = 10;
  Delta_lambda = 0.;
  lambda_last = 0.;
}
!/^#/{
  jd = $1;
  lambda = $2;
  Int = $3;
  sigma_Int = $4;
  idataset = $5;
  dataset = $6;

# take whole low-resolution red Ondrejov spectra!
  if (idataset >= 1000) {

    print;

  } else {

    if ((jd != jd_) || (lambda-lambda_last > 1.*Ang)) {
      i = 0;
      jd_ = jd;
      lambda_ = 0.0;
      Int_ = 0.0;
    }

    if (i < n) {
      i++;
      lambda_ += lambda;
      Int_ += Int;
    }

    if (i==n) {
      lambda_ /= n;
      Int_ /= n;

      printf("%.6f  %.8e  %.8f  %.8f  %d  %s\n", jd_, lambda_ + Delta_lambda, Int_, sigma_Int, idataset, dataset);

      i = 0;
      lambda_ = 0.0;
      Int_ = 0.0;
    }

    lambda_last = lambda;
  }
}


